Bug 198172

Summary: printer margin settings are forgotten at restart
Product: kdelibs Reporter: Martin Senftleben <linux>
Component: print-dialogAssignee: kdepim bugs <kdepim-bugs>
Status: CONFIRMED ---    
Severity: normal CC: bugs.kde.attila, emilio.recio, habista, illumilore, info, kollix, linux, psychonaut, richard.llom
Priority: NOR    
Version: SVN   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:

Description Martin Senftleben 2009-06-28 14:56:58 UTC
Version:           1.11.90 (using 4.2.90 (KDE 4.2.90 (KDE 4.3 Beta2)) "release 138", KDE:KDE4:Factory:Desktop / openSUSE_11.1)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.27.7-9-default

I have set the margins to different sizes as the default ones which are far too narrow (3 mm on three sides), but these settings are forgotten when KMail is shutdown. I'm not sure if this is a KMail-bug or in general applicable to KDE. I use an hpijs-driver for my HP Officejet Pro L 7680.
Comment 1 Martin Koller 2009-08-09 22:42:14 UTC
can confirm. It even does not store the settings between two printouts.
But this is a KDE global problem. Reassigning.
Comment 2 Christoph Feck 2010-03-02 01:22:33 UTC
*** Bug 228931 has been marked as a duplicate of this bug. ***
Comment 3 Attila 2010-03-04 10:41:11 UTC
Due to the information that my Bug 228931 is a duplicate from this i answer here.

Hello!
Don't get me wrong but i guess that this is not a question of Qt 4.8 or other
versions. Under KDE 3x (Qt 3x) the printer dialog was excellent! I was able to
set the margins and save the settings. All i would like to do is to save my
settings (like the printer dialog under KDE 3x).
Every time i am trying to print, i have to click on "Properties", then set the
margins, after that i have to click on "Options >>", select the tab "HTML
settings" uncheck "printer friendly mode", uncheck "print header" and so on.
I hate to say that, but this is so stupid! Isn't it? You can't tell in every
office all the user: Hey guys! Remember if you print, don't forget to click
here, click there ..... and do this on every single print. This is not
user-optimized.
Thank you for listening to me.
Comment 4 Martin Senftleben 2010-03-04 12:08:02 UTC
As the one who brought this up: it is one of the basic functionality one can expect, that printer settings are storable. This problem bugs me for 9 months now, and still no change. Every time I print out a mail, I have to reset the margins - for every single print. That was working fine with KDE 3, and nobody can say that this is "not yet" implemented in KDE 4. It should never have gone away.
Comment 5 TimWetter 2010-03-09 15:17:44 UTC
how should I work with kde4, when I cannot print as I used to?

is kde4 all about "nice effects" or should it be something that can be used to work with?

but working people need snow on the desktop ... it seems to be essential ... sure fire
Comment 6 Joseph Reagle 2010-04-23 22:26:02 UTC
Trying Kubuntu Lucid RC to see if this issue is fixed, and unfortunately it is not. I'll also note that I think this bug and 164899 are duplicates.
Comment 7 Tristan Miller 2011-03-17 10:44:11 UTC
Surely this is the same issue I reported in Bug 256975?  If so, the resolution is "UPSTREAM"; the issue has been reported on the Qt bug tracker here: http://bugreports.qt.nokia.com/browse/QTBUG-15351
Comment 8 Martin Senftleben 2011-03-18 08:34:28 UTC
I'm on Gnome now, so this bug doesn't bug me any more...
Comment 9 Tristan Miller 2011-03-18 11:03:54 UTC
Well, regardless, one of these bugs should be marked as the duplicate of the other.  I don't have authorization to do that; perhaps as the reporter you could do so, Martin.
Comment 10 Martin Senftleben 2011-03-18 18:44:55 UTC
Sorry, I missed that point. However, I'm not sure if the bug reported at http://bugreports.qt.nokia.com/browse/QTBUG-15351 is the same as the one that I reported here. They may be related, however. But:
I do not remember that just clicking on properties and then on OK solved the problem. i had to set the margins according to my needs. And: I had that problem observed only in KMail, and I'm sure other programs use the QT-library as well.
 
As I have no option to verify the duplicity, I would rather keep this report than marking it as a duplicate.
Comment 11 Dominik Haumann 2011-08-07 12:34:57 UTC
*** Bug 205802 has been marked as a duplicate of this bug. ***
Comment 12 Dominik Haumann 2012-05-16 06:43:43 UTC
*** Bug 300088 has been marked as a duplicate of this bug. ***
Comment 13 Tristan Miller 2012-11-23 07:39:15 UTC
If this bug really is a duplicate, or at least somehow related, to Bug 256975, then it should be noted that the upstream bug report has been marked as resolved for Qt 5.0: https://bugreports.qt-project.org/browse/QTBUG-15351
Comment 14 Richard Llom 2014-01-05 14:42:52 UTC
I left a comment on the qt bug and asked for a backport to qt 4.8. So lets wait (and hope) and see.
Comment 15 Dominik Haumann 2014-04-29 08:28:37 UTC
Any news on the Qt 4.8 state with respect to this issue?
Comment 16 Richard Llom 2014-04-29 15:30:10 UTC
Yes. I contacted John Layt (already some month ago) and he said he will try to bring this fix to the next qt 4.8 patch release. And just some days ago the qt bug was updated:
Akseli Salovaara updated Bug QTBUG-15351
Margin settings are ignored unless Printer Properties dialog is opened first
	
Change By: 	Akseli Salovaara (24/Apr/14 3:28 PM)
Fix Version/s: 	4.8.7 (Next patch release)

I think this is good news. :-)